geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anthony Baker (JIRA)" <>
Subject [jira] [Updated] (GEODE-287) Remove old gfsh code
Date Fri, 08 Jan 2016 04:41:43 GMT


Anthony Baker updated GEODE-287:
    Fix Version/s: 1.0.0-alpha1

> Remove old gfsh code
> --------------------
>                 Key: GEODE-287
>                 URL:
>             Project: Geode
>          Issue Type: Improvement
>            Reporter: Darrel Schneider
>            Assignee: Darrel Schneider
>              Labels: gfsh
>             Fix For: 1.0.0-alpha1
>   Original Estimate: 24h
>  Remaining Estimate: 24h
> An old version of gfsh is in geode in these packages:*
> This old version uses deprecated apis that we are trying to remove (see GEODE-72). So
this old gfsh code blocks the removal of the deprecated apis.
> One option is to just remove this old gfsh code. Now that we have a new gfsh tool that
we support keeping the old code in the open source project does not make sense.
> Another option is to change the old gfsh code to use non-deprecated apis. But I don't
know what kind of test coverage exists for the old gfsh so these changes may break it without
being detected.

This message was sent by Atlassian JIRA

View raw message